INTERFACE
SUBROUTINE SLEXTPOLAD(KSLWIDE,&
 & KASLB1,KDGSAG,KDGENG,KDGSAL,KDGENL,KFLDSLB,KSLSTA,KSLONL,KSLOFF,&
 & KDGLG,KLOENG,KFRSTLOFF,KYFRSTACTLAT,KYLSTACTLAT,&
 & PARSLB,PB1A,KMASK1) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KSLWIDE
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSAG
INTEGER(KIND=JPIM),INTENT(IN) :: KDGENG
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSAL
INTEGER(KIND=JPIM),INTENT(IN) :: KDGENL
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSLB
INTEGER(KIND=JPIM),INTENT(IN) :: KSLSTA(KDGSAL-KSLWIDE:KDGENL+KSLWIDE)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLONL(KDGSAL-KSLWIDE:KDGENL+KSLWIDE)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLOFF(KDGSAL-KSLWIDE:KDGENL+KSLWIDE)
INTEGER(KIND=JPIM),INTENT(IN) :: KDGLG
INTEGER(KIND=JPIM),INTENT(IN) :: KLOENG(KDGSAG:KDGENG)
INTEGER(KIND=JPIM),INTENT(IN) :: KFRSTLOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KYFRSTACTLAT
INTEGER(KIND=JPIM),INTENT(IN) :: KYLSTACTLAT
REAL(KIND=JPRB) ,INTENT(IN) :: PARSLB(KFLDSLB)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1A(KASLB1,KFLDSLB,1)
INTEGER(KIND=JPIM),INTENT(OUT) :: KMASK1(KASLB1+4)
END SUBROUTINE SLEXTPOLAD
END INTERFACE
